%define base_name       mlp
%define arc_name        fortune-mod-%{base_name}

Name:           fortune-%{base_name}
Version:        0.2.0
Release:        %mkrel 5
Summary:        Quotes from My Little Pony: Friendship is Magic
License:        Proprietary
Group:          Toys
Url:            https://github.com/twisted-pear/fortune-mod-mlp
Source:         https://github.com/twisted-pear/%{arc_name}/archive/%{version}.tar.gz#/%{arc_name}-%{version}.tar.gz
Requires:       fortune-mod
BuildRequires:  fortune-mod
BuildArch:      noarch

%description
This is a collection of quotes from the television series My Little Pony:
Friendship is Magic.

%prep
%setup -q -n %{arc_name}-%{version}

%build
export PATH="$PATH:/usr/sbin"
%make_build

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 mlp mlp.dat devquotes devquotes.dat %{buildroot}%{_gamesdatadir}/fortunes

%files
%doc README.md
%{_gamesdatadir}/fortunes/devquotes
%{_gamesdatadir}/fortunes/devquotes.dat
%{_gamesdatadir}/fortunes/mlp
%{_gamesdatadir}/fortunes/mlp.dat


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.2.0-5.mga10
+ Revision: 2244010
- Mageia 10 Mass Rebuild

* Fri Apr 15 2022 umeabot <umeabot> 0.2.0-4.mga9.nonfree
+ Revision: 1850338
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 0.2.0-3.mga8.nonfree
+ Revision: 1548612
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.0-2.mga7.nonfree
+ Revision: 1278351
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 0.2.0-1.mga7.nonfree
+ Revision: 1221968
- Importing custom rpm

